Upload Product Catalog

Make a call to this endpoint to start sending Attentive your full or partial product catalog. The process starts with a POST to this endpoint, where you will receive a pre-signed AWS S3 URL. You can use any language's http request libraries for uploading a file via HTTP. Here's how to do it with curl as an example

curl --upload-file ${fileNameLocally} ${presignedURL}

and here's an example in Python

import requests
with open(filepath, 'rb') as f:
    r = requests.put(upload_url, data=f)

Here are examples from AWS on how to send the file over in popular programming languages. Note that you aren't interested in the portion of these examples where they are generating the pre-signed URL, but simply the http call to upload the file to the URL.

Once your full or partial product catalog begins to upload, the status is updated to validating while it's processing and the file is checked for errors. After the upload is validated, the status is updated to validated. Once the catalog is saved, the status is updated to completed. In cases where there are errors saving the data, Attentive Engineering is notified and will contact you.

To ensure there are no validation errors in the file, you can set validateOnly parameter to true to avoid saving any data. We highly recommend this during your development to get a faster feedback loop on any validation errors as you generate files.

If there are no errors returned in the upload response, your product catalog uploaded successfully.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
boolean
Defaults to false

If set to true, then data will not ingest and only validate the file.

Responses

400

Invalid parameter in request query or body

401

Unauthorized

403

Access Denied

404

The specified resource was not found

429

The user has sent too many requests in a given amount of time

500

Internal Server Error

Language
Credentials
OAuth2
Missing 1 required scope
LoadingLoading…
Response
Choose an example:
application/json